> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List the screens of a WhatsApp Flow

> The screens declared in the flow's JSON, for picking a flow button's entry screen (read through a Redis cache).



## OpenAPI

````yaml https://api.useinvent.com/openapi.json get /orgs/{org_id}/connections/{connection_id}/whatsapp/flows/{flow_id}/screens
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/connections/{connection_id}/whatsapp/flows/{flow_id}/screens:
    get:
      tags:
        - Orgs Connections
      summary: List the screens of a WhatsApp Flow
      description: >-
        The screens declared in the flow's JSON, for picking a flow button's
        entry screen (read through a Redis cache).
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the org
          name: org_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the connection
          name: connection_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the flow
          name: flow_id
          in: path
        - schema:
            type: number
          required: false
          description: Page number
          name: page
          in: query
        - schema:
            type: number
          required: false
          description: Number of items to take
          name: take
          in: query
        - schema:
            type: string
          required: false
          description: Next page token (Only used on special endpoints)
          name: next
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WhatsAppFlowScreenSchema'
components:
  schemas:
    WhatsAppFlowScreenSchema:
      type: object
      properties:
        id:
          type: string
        title:
          type: string
      required:
        - id
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````